<?php

namespace App\Http\Controllers;

use App\Models\Lesson;
use Illuminate\Http\Request;

class AdminLessonController extends Controller
{
    public function createLesson(Request $request)
    {
        // Validate the incoming request
        $request->validate([
            'title' => 'required|string',
            'content' => 'required|string',
            // Add any other validation rules as needed
        ]);

        // Create a new lesson
        $lesson = Lesson::create([
            'title' => $request->input('title'),
            'content' => $request->input('content'),
            // Add other fields as needed
        ]);

        return response()->json(['message' => 'Lesson created successfully', 'lesson' => $lesson]);
    }
}
