<?php



namespace App\Http\Resources;



use Illuminate\Http\Resources\Json\JsonResource;



class UserResource extends JsonResource

{

    public static $wrap = false;



    /**

     * Transform the resource into an array.

     *

     * @param  \Illuminate\Http\Request  $request

     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable

     */

    public function toArray($request)

    {

        return [

            'id' => $this->id,

            'name' => $this->name,

            'email' => $this->email,
            'company_name' => $this->company_name,
            'member' => $this->member,

            'created_at' => $this->created_at->format('m-d-Y'),

        ];

    }

}

