<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LandingPageCategory extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'admin_id'];

    public function landingPages()
    {
        return $this->hasMany(LandingPage::class, 'landing_page_category_id');
    }
}
