<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Response extends Model
{
    protected $table = 'user_responses';
    use HasFactory;

    protected $fillable = [
        'question_id',  // Add 'question_id' to the fillable array
        'choice_id',
        // other attributes...
    ];

    public function choice()
    {
        return $this->belongsTo(Choice::class, 'choice_id');
    }
    public function question()
{
    return $this->belongsTo(Question::class, 'question_id');
}

}
