<?php

namespace App\Helpers;

use App\Models\User;

class AdminHelper
{
    public static function getAdminAccount($admin)
    {
        $data = [];
        $accountAdmins = $admin->accountadmins()->distinct()->pluck('account_ids')->toArray();

        if ($accountAdmins) {
            foreach ($accountAdmins as $accountAdmin) {
                $adminAccount = User::find($accountAdmin);
                if ($adminAccount) {
                    $data = $adminAccount ;
                }
            }
        }
        return $data;
    }

    public static function getAssignedId(){
        $assignedId = request()->query('AdminSwitchId', null);

        // Check if 'AdminSwitchId' is present and output its value
        if ($assignedId != null) {
            return $assignedId;
        }else{
            return "null" ;
        }
    }

    public function getAssignedIdByPost($request)
{
    // Retrieve AdminSwitchId from the request payload
    $adminSwitchId = $request->input('AdminSwitchId');

    // Check if the AdminSwitchId exists and return it, or return "null"
    if ($adminSwitchId != null) {
        return $adminSwitchId;
    } else {
        return "null";
    }
}





}
