<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\EmailSentTrack;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Helpers\AdminHelper;
class EmailSentTrackController extends Controller
{
   public function emailSentTrack()
   {
   	$admin = Auth::user();

      $assignedId = AdminHelper::getAssignedId();

      // Determine the admin ID based on the value of assignedId
      $adminId = ($assignedId === "null") ? $admin->id : $assignedId; 
   	$emailsentcount = EmailSentTrack::where('admin_id', $adminId)->count();

   	return response()->json(['emailsentcount'=>$emailsentcount],200);
   }
}
