<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class EmailTracking extends Model
{
    use HasFactory;
    protected $table = 'email_tracking';
    protected $fillable = ['event_type', 'email', 'unique_id', 'template_id', 'recipient', 'open_tracking_identifier', 'click_tracking_identifier', 'user_id','url'];

    public function template()
    {
        return $this->belongsTo(EmailTemplate::class, 'template_id');
    }
}
