<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lesson extends Model
{
    use HasFactory;

    protected $fillable = ['title', 'content', 'module_id', 'order', 'video_path', 'video_filename'];

    public function module()
    {
        return $this->belongsTo(Module::class);
    }

        public function quizzes()
    {
        return $this->hasMany(Quiz::class);
    }
}
