<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\User;
class NewCourse extends Model
{
    use HasFactory;
    protected $fillable = [
        'course_title',
        'course_description',
        'course_type',
        'status',
        'user_id',
    ];

    public function users()
    {
        return $this->belongsToMany(User::class, 'new_course_users', 'course_id', 'user_id');
    }
    public function modules()
    {
        return $this->hasMany(Module::class, 'course_id');
    }

}
