<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Storage;

class Policy extends Model
{
    use HasFactory;

    protected $fillable = ['name', 'description', 'file_path','file_name','admin_id'];

  protected $appends = ['path'];

    public function getPathAttribute()
    {
        return $this->file_path ? Storage::url($this->file_path) : null;
    }
}
